## WMS Raw Read request WMS Raw Read request |

## Functions

QmiMessageWmsRawReadInput * | qmi_message_wms_raw_read_input_new ()
QmiMessageWmsRawReadInput * | qmi_message_wms_raw_read_input_ref ()
void | qmi_message_wms_raw_read_input_unref ()
gboolean | qmi_message_wms_raw_read_input_get_sms_on_ims ()
gboolean | qmi_message_wms_raw_read_input_set_sms_on_ims ()
gboolean | qmi_message_wms_raw_read_input_get_message_mode ()
gboolean | qmi_message_wms_raw_read_input_set_message_mode ()
gboolean | qmi_message_wms_raw_read_input_get_message_memory_storage_id ()
gboolean | qmi_message_wms_raw_read_input_set_message_memory_storage_id ()
QmiMessageWmsRawReadOutput * | qmi_message_wms_raw_read_output_ref ()
void | qmi_message_wms_raw_read_output_unref ()
gboolean | qmi_message_wms_raw_read_output_get_result ()
gboolean | qmi_message_wms_raw_read_output_get_raw_message_data ()
void | qmi_client_wms_raw_read ()
QmiMessageWmsRawReadOutput * | qmi_client_wms_raw_read_finish ()

## Types and Values

| QmiMessageWmsRawReadInput
| QmiMessageWmsRawReadOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWmsRawReadInput
        ╰── QmiMessageWmsRawReadOutput

## Description

## Functions

### qmi_message_wms_raw_read_input_new ()

    QmiMessageWmsRawReadInput *
    qmi_message_wms_raw_read_input_new (void);

Allocates a new QmiMessageWmsRawReadInput.

#### Returns

the newly created QmiMessageWmsRawReadInput. The returned value should be freed with `qmi_message_wms_raw_read_input_unref()`.

Since: 1.0

### qmi_message_wms_raw_read_input_ref ()

    QmiMessageWmsRawReadInput *
    qmi_message_wms_raw_read_input_ref (QmiMessageWmsRawReadInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWmsRawReadInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wms_raw_read_input_unref ()

    void
    qmi_message_wms_raw_read_input_unref (QmiMessageWmsRawReadInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWmsRawReadInput. |

Since: 1.0

### qmi_message_wms_raw_read_input_get_sms_on_ims ()

    gboolean
    qmi_message_wms_raw_read_input_get_sms_on_ims
                                   (QmiMessageWmsRawReadInput *self,
                                    gboolean *value_sms_on_ims,
                                    GError **error);

Get the 'SMS on IMS' field from `self` .

#### Parameters

self | a QmiMessageWmsRawReadInput. |
value_sms_on_ims | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_raw_read_input_set_sms_on_ims ()

    gboolean
    qmi_message_wms_raw_read_input_set_sms_on_ims
                                   (QmiMessageWmsRawReadInput *self,
                                    gboolean value_sms_on_ims,
                                    GError **error);

Set the 'SMS on IMS' field in the message.

#### Parameters

self | a QmiMessageWmsRawReadInput. |
value_sms_on_ims | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_raw_read_input_get_message_mode ()

    gboolean
    qmi_message_wms_raw_read_input_get_message_mode
                                   (QmiMessageWmsRawReadInput *self,
                                    QmiWmsMessageMode *value_message_mode,
                                    GError **error);

Get the 'Message Mode' field from `self` .

#### Parameters

self | a QmiMessageWmsRawReadInput. |
value_message_mode | a placeholder for the output QmiWmsMessageMode, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_raw_read_input_set_message_mode ()

    gboolean
    qmi_message_wms_raw_read_input_set_message_mode
                                   (QmiMessageWmsRawReadInput *self,
                                    QmiWmsMessageMode value_message_mode,
                                    GError **error);

Set the 'Message Mode' field in the message.

#### Parameters

self | a QmiMessageWmsRawReadInput. |
value_message_mode | a QmiWmsMessageMode. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_raw_read_input_get_message_memory_storage_id ()

    gboolean
    qmi_message_wms_raw_read_input_get_message_memory_storage_id
                                   (QmiMessageWmsRawReadInput *self,
                                    QmiWmsStorageType *value_message_memory_storage_id_storage_type,
                                    guint32 *value_message_memory_storage_id_memory_index,
                                    GError **error);

Get the 'Message Memory Storage ID' field from `self` .

#### Parameters

self | a QmiMessageWmsRawReadInput. |
value_message_memory_storage_id_storage_type | a placeholder for the output QmiWmsStorageType, or `NULL` if not required. |
value_message_memory_storage_id_memory_index | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_raw_read_input_set_message_memory_storage_id ()

    gboolean
    qmi_message_wms_raw_read_input_set_message_memory_storage_id
                                   (QmiMessageWmsRawReadInput *self,
                                    QmiWmsStorageType value_message_memory_storage_id_storage_type,
                                    guint32 value_message_memory_storage_id_memory_index,
                                    GError **error);

Set the 'Message Memory Storage ID' field in the message.

#### Parameters

self | a QmiMessageWmsRawReadInput. |
value_message_memory_storage_id_storage_type | a QmiWmsStorageType. |
value_message_memory_storage_id_memory_index | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_wms_raw_read_output_ref ()

    QmiMessageWmsRawReadOutput *
    qmi_message_wms_raw_read_output_ref (QmiMessageWmsRawReadOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWmsRawReadOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wms_raw_read_output_unref ()

    void
    qmi_message_wms_raw_read_output_unref (QmiMessageWmsRawReadOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWmsRawReadOutput. |

Since: 1.0

### qmi_message_wms_raw_read_output_get_result ()

    gboolean
    qmi_message_wms_raw_read_output_get_result
                                   (QmiMessageWmsRawReadOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWmsRawReadOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_message_wms_raw_read_output_get_raw_message_data ()

    gboolean
    qmi_message_wms_raw_read_output_get_raw_message_data
                                   (QmiMessageWmsRawReadOutput *self,
                                    QmiWmsMessageTagType *value_raw_message_data_message_tag,
                                    QmiWmsMessageFormat *value_raw_message_data_format,
                                    GArray **value_raw_message_data_raw_data,
                                    GError **error);

Get the 'Raw Message Data' field from `self` .

#### Parameters

self | a QmiMessageWmsRawReadOutput. |
value_raw_message_data_message_tag | a placeholder for the output QmiWmsMessageTagType, or `NULL` if not required. |
value_raw_message_data_format | a placeholder for the output QmiWmsMessageFormat, or `NULL` if not required. |
value_raw_message_data_raw_data | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_client_wms_raw_read ()

    void
    qmi_client_wms_raw_read (QmiClientWms *self,
                             QmiMessageWmsRawReadInput *input,
                             guint timeout,
                             GCancellable *cancellable,
                             GAsyncReadyCallback callback,
                             gpointer user_data);

Asynchronously sends a Raw Read request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wms_raw_read_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWms. |
input | a QmiMessageWmsRawReadInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_wms_raw_read_finish ()

    QmiMessageWmsRawReadOutput *
    qmi_client_wms_raw_read_finish (QmiClientWms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_wms_raw_read()`.

#### Parameters

self | a QmiClientWms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wms_raw_read()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWmsRawReadOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wms_raw_read_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageWmsRawReadInput

    typedef struct _QmiMessageWmsRawReadInput QmiMessageWmsRawReadInput;

The QmiMessageWmsRawReadInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageWmsRawReadOutput

    typedef struct _QmiMessageWmsRawReadOutput QmiMessageWmsRawReadOutput;

The QmiMessageWmsRawReadOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0